// eslint-disable-next-line validate-filename/naming-rules
import type { MetadataRoute } from 'next'
import { env } from '@/lib/utils'

export default function robots (): MetadataRoute.Robots {
  const url = new URL(env('SITE_URL'))
  const host = ['80', '443'].includes(url.port) ? url.hostname : url.host

  return {
    rules: [
      {
        userAgent: ['YandexBot', 'Applebot'],
        disallow: ['/'],
      },
      {
        userAgent: '*',
        allow: ['/'],
        disallow: ['/auth/', '/api/', '/en/auth/', '/en/api/'],
        crawlDelay: 3,
      },
    ],
    //sitemap: 'https://acme.com/sitemap.xml',
    host,
  }
}